module Backburner

  class BackburnerObject

    attr_reader :handler

    def method_missing name
      @raw_data.try :search, name
    end

    def initialize handler, connection
      @handler = handler
      @connection = connection
      reload
    end

    def reload
      @raw_data = load_raw_data if respond_to?(:load_raw_data)
    end

  end

end